### Function

# FwupdPlugin power_state_is_ac

since: 1.8.11

#### Declaration [src]

    gboolean
    fu_power_state_is_ac (
      FuPowerState power_state
    )

#### Description [src]

Determines if the power state can be considered “on AC power”.

Available since: 1.8.11

#### Parameters

`power_state`

  Type: `FuPowerState`

  A power state, e.g. `FU_POWER_STATE_AC_FULLY_CHARGED`.

#### Return value

Type: `gboolean`

`TRUE` for success.